commit:     3e02a141bf6845d5d2ebfb3949f78f4ff4ca94e7
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 20 14:55:50 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Feb 20 15:22:09 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e02a141

dev-python/python-swiftclient: Bump to 4.2.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/python-swiftclient/Manifest             |  1 +
 dev-python/python-swiftclient/metadata.xml         | 33 ++++++++--------
 .../python-swiftclient-4.2.0.ebuild                | 44 ++++++++++++++++++++++
 3 files changed, 62 insertions(+), 16 deletions(-)

diff --git a/dev-python/python-swiftclient/Manifest 
b/dev-python/python-swiftclient/Manifest
index 04f659fc643f..658b44ffec2d 100644
--- a/dev-python/python-swiftclient/Manifest
+++ b/dev-python/python-swiftclient/Manifest
@@ -1 +1,2 @@
 DIST python-swiftclient-4.1.0.tar.gz 201954 BLAKE2B 
f81368dae2d0e56b178c00c9d4b0989fa9629fd909b8413a262103109a092bd8134679be41f8f8176d638f215d9e03b2e60013deed9f0b72d7ae4be181a1b4e0
 SHA512 
85b4ff0a49d149e6b42b257d8f815de48a549d377d7db807751f485d8a9636e4d4208c99cbd1cda3d9195c45d416911a4e8b65fc373e93d722cade0968515524
+DIST python-swiftclient-4.2.0.tar.gz 203334 BLAKE2B 
5c64c785b8d3db45c5d89d3c09f27d0caa7a7f7a57afd935c2f10b050882734e966eb5b027bc956b450a19e6aa5d6ed2ad955db556b83a1086ac358d1c82025c
 SHA512 
8426f39a5d37281816570c13491da1f459fe03182a8041fbd362733376d0c7edda6b51e4d3bbcb5ceed79ec7746e127760d1f936326b50a1cc7de102590f45d7

diff --git a/dev-python/python-swiftclient/metadata.xml 
b/dev-python/python-swiftclient/metadata.xml
index 1ea027c4474c..7c961104c615 100644
--- a/dev-python/python-swiftclient/metadata.xml
+++ b/dev-python/python-swiftclient/metadata.xml
@@ -1,20 +1,21 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-  <maintainer type="person">
-    <email>[email protected]</email>
-  </maintainer>
-  <maintainer type="project">
-    <email>[email protected]</email>
-    <name>Openstack</name>
-  </maintainer>
-  <maintainer type="project">
-    <email>[email protected]</email>
-    <name>Python</name>
-  </maintainer>
-  <stabilize-allarches/>
-  <upstream>
-    <remote-id type="pypi">python-swiftclient</remote-id>
-    <remote-id type="launchpad">python-swiftclient</remote-id>
-  </upstream>
+       <maintainer type="person">
+               <email>[email protected]</email>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Openstack</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Python</name>
+       </maintainer>
+       <stabilize-allarches/>
+       <upstream>
+               <remote-id 
type="github">openstack/python-swiftclient</remote-id>
+               <remote-id type="launchpad">python-swiftclient</remote-id>
+               <remote-id type="pypi">python-swiftclient</remote-id>
+       </upstream>
 </pkgmetadata>

diff --git a/dev-python/python-swiftclient/python-swiftclient-4.2.0.ebuild 
b/dev-python/python-swiftclient/python-swiftclient-4.2.0.ebuild
new file mode 100644
index 000000000000..edccb0e1001c
--- /dev/null
+++ b/dev-python/python-swiftclient/python-swiftclient-4.2.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings to the OpenStack Object Storage API"
+HOMEPAGE="
+       https://opendev.org/openstack/python-swiftclient/
+       https://github.com/openstack/python-swiftclient/
+       https://pypi.org/project/python-swiftclient/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+       >=dev-python/requests-2.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/pbr[${PYTHON_USEDEP}]
+       test? (
+               >=dev-python/keystoneauth1-3.4.0[${PYTHON_USEDEP}]
+               dev-python/python-keystoneclient[${PYTHON_USEDEP}]
+               >=dev-python/mock-1.2.0[${PYTHON_USEDEP}]
+               >=dev-python/openstacksdk-0.11.0[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+       sed -e 's/test_password_prompt/_&/' -i test/unit/test_shell.py || die
+       # fix duplicate script/entry point
+       # https://bugs.launchpad.net/python-swiftclient/+bug/1975361
+       sed -i -e '/bin\/swift/d' setup.cfg || die
+       distutils-r1_python_prepare_all
+}

Reply via email to